For the complete documentation index, see llms.txt. This page is also available as Markdown.

Measure units

Get measure unit

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
abbreviationstringOpcional
descriptionstringOpcional
decimals_for_quantitynumberOpcional
activebooleanOpcional
get/measure-units/{id}
GET /api/sales/measure-units/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "abbreviation": "text",
  "description": "text",
  "decimals_for_quantity": 1,
  "active": true
}

Update measure unit

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
abbreviationstringObrigatório
descriptionstringObrigatório
decimals_for_quantitynumberObrigatório
activebooleanObrigatório
Respostas
200

MeasureUnit updated successfully

application/json
idstringOpcional
abbreviationstringOpcional
descriptionstringOpcional
decimals_for_quantitynumberOpcional
activebooleanOpcional
put/measure-units/{id}
PUT /api/sales/measure-units/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 128

{
  "abbreviation": "text",
  "description": "text",
  "decimals_for_quantity": 1,
  "active": true,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "abbreviation": "text",
  "description": "text",
  "decimals_for_quantity": 1,
  "active": true
}

Remove measure unit

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

MeasureUnit removed successfully

application/json
idstringOpcional
delete/measure-units/{id}
DELETE /api/sales/measure-units/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text"
}

List measure units

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
only_activebooleanOpcional
Respostas
200

OK

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/measure-units
GET /api/sales/measure-units HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "abbreviation": "text",
      "description": "text",
      "decimals_for_quantity": 1,
      "active": true
    }
  ]
}

Create measure unit

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
abbreviationstringObrigatório
descriptionstringObrigatório
decimals_for_quantitynumberObrigatório
activebooleanObrigatório
Respostas
201

MeasureUnit created successfully

application/json
idstringOpcional
abbreviationstringOpcional
descriptionstringOpcional
decimals_for_quantitynumberOpcional
activebooleanOpcional
post/measure-units
POST /api/sales/measure-units HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 140

{
  "id": "text",
  "abbreviation": "text",
  "description": "text",
  "decimals_for_quantity": 1,
  "active": true,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "abbreviation": "text",
  "description": "text",
  "decimals_for_quantity": 1,
  "active": true
}